"Basement Simulator" by lucidiot

Part 1 - Definitions

[Use this part to define reusable things for the whole project.]

Section 1 - Verbs

[Verbs are used in strings: "The house [stand] on its own" will conjugate the verb automatically depending on which tense is used in the story. This allows changing the tense dynamically during the story.]

To hug is a verb.
To purr is a verb.
To stand is a verb.
To radiate is a verb.
To read is a verb.
To wriggle is a verb.

Section 2 - Basics

[Hugs are disabled by default; implement them on whoever/whatever you want by adding more specific check rules or overriding the action rule entirely.]
Hugging is an action applying to one touchable thing. Check hugging: say "You can't hug that.".

[The standard rules of Inform already define "hug" as a synonym for "kiss". We have to force it to recognize hug as a new command to apply our own rules.]
Understand the command "hug" as something new. Understand "hug [something]" as hugging. 

Section 3 - Shorks

A blahaj is a kind of animal. A blahaj is always neuter. The plural of blahaj is blahajar. Understand "shark" or "shork" as blahaj.
[Note that for backwards compatibility reasons, neuter does not really exist; a blahaj will be marked as male but will use "it/its" pronouns.]

[Bug: Shorks created as happy by default will be permanently happy until the player hugs them, then they will only be happy for 1 hour. Until this is fixed, shorks are lonely by default.]
A blahaj can be either lonely or happy. A blahaj is usually lonely.

The specification of blahaj is "A cute shark plushie from Ikea.".

The description of a blahaj is usually "A soft plushie in the shape of a shark. It is blue, with a white underside, and a pink mouth surrounded in soft, non-dangerous teeth. [if lonely]It looks sad and lonely, and could definitely use a hug.[otherwise]It looks happy."

Instead of hugging a blahaj:
	now the noun is happy;
	the blahaj needs a hug in 1 hour from now;
	say "[The actor] [hug] [the noun]. [one of]It [purr] gently.[or]It [wriggle] excitedly.[or]It [radiate] waves of love.[at random]".

At the time when a blahaj needs a hug:
	now the noun is lonely.

Part 2 - The Basement

The Basement is a region.

Section 1 - The Network Neighborhood

The Network Neighborhood is a room. "[We] [stand] in a quiet street of a suburban neighborhood. There is a house up north.

There are no cars parked anywhere on the street, no sounds of people talking, children playing, or anything that you would normally expect in a residential street. You cannot even hear any birds chirping."

The mailbox is a closed container. The mailbox is opaque, openable and fixed in place. The mailbox is in the Network Neighborhood. The carrying capacity of the mailbox is 3. The description is "On top of a pole sits a long metal mailbox painted white, with a red semaphore flag on the side. It looks brand new.".

In the mailbox is a note. The description of the note is "A crumpled piece of yellow paper. Someone quickly wrote on it with a pen: 'It's all fake!'".

Section 2 - The Empty House

The Empty House is a room. "The house is strangely empty. It is not in a bad shape; it doesn't look abandoned, more like it just got built and is waiting to be sold. All [we] [see] is a clock on the wall near the entrance."

The Empty House is north of the Network Neighborhood.

A clock is in the empty house. The clock is scenery. The description is "The clock [read] [the time of day].".

Section 3 - The Basement Entrance

The Basement Entrance is a room. It is in the Basement.

The staircase is an open door. It is below the Empty House and above the Basement Entrance.

In the entrance is a couch, an armchair, and a coffee table. On the coffee table is a can of beans. On the couch is a lonely blahaj.